Bug 1915694 - golden images - DV should not be created with WaitForFirstConsumer
Summary: golden images - DV should not be created with WaitForFirstConsumer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.7.z
Assignee: Yaacov Zamir
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On: 1928867
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-13 09:12 UTC by Yaacov Zamir
Modified: 2021-03-10 11:24 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1914947
: 1928867 (view as bug list)
Environment:
Last Closed: 2021-03-10 11:24:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7822 0 None closed Bug 1915694: Add immediate request annotaion to auploaded dvs 2021-02-18 19:56:40 UTC
Red Hat Product Errata RHBA-2021:0678 0 None None None 2021-03-10 11:24:36 UTC

Comment 3 Guohua Ouyang 2021-01-15 02:18:01 UTC
The DV created with annotation `cdi.kubevirt.io/storage.bind.immediate.requested: "true"` is still in phase: WaitForFirstConsumer.

$ oc get dv -n openshift-virtualization-os-images rhel8 -o yaml
apiVersion: cdi.kubevirt.io/v1beta1
kind: DataVolume
metadata:
  annotations:
    cdi.kubevirt.io/storage.bind.immediate.requested: "true"
  creationTimestamp: "2021-01-15T02:10:08Z"
  generation: 2
  managedFields:
  - apiVersion: cdi.kubevirt.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:cdi.kubevirt.io/storage.bind.immediate.requested: {}
      f:spec:
        .: {}
        f:pvc:
          .: {}
          f:accessModes: {}
          f:resources:
            .: {}
            f:requests:
              .: {}
              f:storage: {}
          f:storageClassName: {}
          f:volumeMode: {}
        f:source:
          .: {}
          f:upload: {}
    manager: Mozilla
    operation: Update
    time: "2021-01-15T02:10:08Z"
  - apiVersion: cdi.kubevirt.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:conditions: {}
        f:phase: {}
        f:progress: {}
    manager: virt-cdi-controller
    operation: Update
    time: "2021-01-15T02:10:08Z"
  name: rhel8
  namespace: openshift-virtualization-os-images
  resourceVersion: "1842735"
  selfLink: /apis/cdi.kubevirt.io/v1beta1/namespaces/openshift-virtualization-os-images/datavolumes/rhel8
  uid: 75cd6e11-548d-4ef5-aef0-060c69ffcd48
spec:
  pvc:
    accessModes:
    - ReadWriteOnce
    resources:
      requests:
        storage: 1Gi
    storageClassName: hostpath-provisioner
    volumeMode: Filesystem
  source:
    upload: {}
status:
  conditions:
  - lastHeartbeatTime: "2021-01-15T02:10:08Z"
    lastTransitionTime: "2021-01-15T02:10:08Z"
    message: PVC rhel8 Pending
    reason: Pending
    status: "False"
    type: Bound
  - lastHeartbeatTime: "2021-01-15T02:10:08Z"
    lastTransitionTime: "2021-01-15T02:10:08Z"
    status: "False"
    type: Ready
  - lastHeartbeatTime: "2021-01-15T02:10:08Z"
    lastTransitionTime: "2021-01-15T02:10:08Z"
    status: "False"
    type: Running
  phase: WaitForFirstConsumer
  progress: N/A

Comment 4 Yaacov Zamir 2021-01-15 05:08:28 UTC
moving to modified,

this bug depended on:
https://bugzilla.redhat.com/show_bug.cgi?id=1914947

and can only be verified/fail ferification after 1914947 is fixed

Comment 5 Yaacov Zamir 2021-01-15 05:11:33 UTC
@Tomas hi,

Can we change the verification of this bug to check:

annotations:
    cdi.kubevirt.io/storage.bind.immediate.requested: "true"

instead of:

not -
phase: WaitForFirstConsumer

This way we un-couple this bug from https://bugzilla.redhat.com/show_bug.cgi?id=1914947
?

Comment 6 Tomas Jelinek 2021-01-15 10:13:50 UTC
yeah, makes sense to me

Comment 8 Yaacov Zamir 2021-02-15 16:59:54 UTC
submitted upstream:
https://github.com/openshift/console/pull/8165

Comment 9 Ying Cui 2021-02-22 08:52:58 UTC
The CNV 2.6.0 release note: Bug 1929177 - Add to release: golden images - DV should not be created with WaitForFirstConsumer BZ: 1915694

Comment 10 Yaacov Zamir 2021-02-26 06:15:32 UTC
merged upstream
https://github.com/openshift/console/pull/8245

Comment 13 Guohua Ouyang 2021-03-04 03:31:02 UTC
verified on ocp 4.7.0, dv is created successfully with HPP.

Comment 15 errata-xmlrpc 2021-03-10 11:24:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.1 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0678


Note You need to log in before you can comment on or make changes to this bug.